; <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
; Nom du projet : FormatDouble
; Nom du Fichier : FormatDouble - Module.pb
; Version du fichier : 1.0.0
; Programmation : OK
; Programm par : Gnozal
; Date : 17-10-2008
; Mise  jour : 07-10-2011
; Cod avec PureBasic V4.60
; <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

DeclareModule FormatDouble
  
  Declare.s DoIt(Number.s)
  
EndDeclareModule

Module FormatDouble
  
  Procedure.s DoIt(Number.s)
    
    IntegerPart.s = StringField(Number, 1, ".")
    DecimalPart.s = "." + StringField(Number, 2, ".")
    
    NumberLen = Len(IntegerPart)
    Start = NumberLen % 3
    FormatedNumber.s = Left(IntegerPart, Start)
    
    For i = Start + 1 To NumberLen - Start Step 3
      FormatedNumber + " " + Mid(IntegerPart, i, 3)
    Next
    
    ProcedureReturn LTrim(FormatedNumber + DecimalPart)
  EndProcedure
  
EndModule

CompilerIf #PB_Compiler_IsMainFile
  
  Debug FormatDouble::DoIt("10.0")
  Debug FormatDouble::DoIt("100.0")
  Debug FormatDouble::DoIt("1000.0")
  Debug FormatDouble::DoIt("10000.0")
  Debug FormatDouble::DoIt("100000.0")
  Debug FormatDouble::DoIt("100000.00")
  Debug FormatDouble::DoIt("1000000.00")
  Debug FormatDouble::DoIt("10000000.00")
  Debug FormatDouble::DoIt("10000000.000")
  Debug FormatDouble::DoIt("100000000.000")
  Debug FormatDouble::DoIt("1000000000.000")
  Debug FormatDouble::DoIt("10000000000.000")
  Debug FormatDouble::DoIt("100000000000.000")
  
CompilerEndIf

; <<<<<<<<<<<<<<<<<<<<<<<<<<
; <<<<< FIN DU FICHIER <<<<<
; <<<<<<<<<<<<<<<<<<<<<<<<<<
; IDE Options = PureBasic 5.42 Beta 5 LTS (Linux - x64)
; Folding = -
; EnableUnicode
; EnableXP
; CompileSourceDirectory